public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/netcat/
Date: Tue, 23 Mar 2021 04:53:23 +0000 (UTC)	[thread overview]
Message-ID: <1616474934.cb22b63cf5a019853d31802d5cc5408ac3aa5185.sam@gentoo> (raw)

commit:     cb22b63cf5a019853d31802d5cc5408ac3aa5185
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 22:59:55 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 23 04:48:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb22b63c

net-analyzer/netcat: tiny style changes

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/netcat/netcat-110.20180111-r1.ebuild | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/net-analyzer/netcat/netcat-110.20180111-r1.ebuild b/net-analyzer/netcat/netcat-110.20180111-r1.ebuild
index 5127d1c620f..bbbdcf9ba34 100644
--- a/net-analyzer/netcat/netcat-110.20180111-r1.ebuild
+++ b/net-analyzer/netcat/netcat-110.20180111-r1.ebuild
@@ -9,35 +9,39 @@ MY_P="nc${PV}"
 DESCRIPTION="The network swiss army knife"
 HOMEPAGE="https://nc110.sourceforge.io"
 SRC_URI="mirror://sourceforge/nc110/${MY_P}.tar.xz"
+S="${WORKDIR}/nc110"
 
 LICENSE="netcat"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc64-solaris ~x64-solaris"
 IUSE="ipv6 static"
 
-S="${WORKDIR}/nc110"
-
 src_prepare() {
 	default
+
 	sed -i \
 		-e '/#define HAVE_BIND/s:#define:#undef:' \
 		-e '/#define FD_SETSIZE 16/s:16:1024: #34250' \
 		netcat.c || die
-	if [[ ${CHOST} == *-solaris* ]]; then
+
+	if [[ ${CHOST} == *-solaris* ]] ; then
 		sed -i 's:gethostbyname2 *(\([^)]\+\)):getipnodebyname (\1, AI_DEFAULT, NULL):' netcat.c || die
 	fi
 }
 
 src_configure() {
-	if ! use ipv6; then
+	if ! use ipv6 ; then
 		sed -i '/#define INET6/d' generic.h || die
 	fi
+
 	append-cppflags -DTELNET -DGAPING_SECURITY_HOLE
 }
 
 src_compile() {
 	local xlibs
+
 	[[ ${CHOST} == *-solaris* ]] && xlibs+=" -lnsl -lsocket"
+
 	emake \
 		LD="$(tc-getCC) ${LDFLAGS}" \
 		DFLAGS="${CPPFLAGS}" \
@@ -49,8 +53,10 @@ src_compile() {
 
 src_install() {
 	dobin nc
+
 	dodoc README* netcat.blurb
 	doman nc.1
+
 	docinto scripts
 	dodoc scripts/*
 }


             reply	other threads:[~2021-03-23  4:53 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-23  4:53 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-29 18:36 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/netcat/ WANG Xuerui
2022-11-25  9:47 Arthur Zamarin
2022-11-25  5:33 Sam James
2022-11-25  5:33 Sam James
2022-11-25  5:21 Sam James
2022-11-25  5:15 Sam James
2022-11-25  5:07 Sam James
2022-11-25  5:04 Sam James
2021-08-11 19:11 Sam James
2021-08-11  0:23 Sam James
2021-08-11  0:12 Sam James
2021-08-11  0:04 Sam James
2021-07-16  1:31 Yixun Lan
2021-04-03 15:57 Sam James
2021-03-17  1:44 Sam James
2021-03-17  1:44 Sam James
2021-03-16 18:50 Sam James
2021-03-16 18:50 Sam James
2021-03-16 18:50 Sam James
2021-01-06 14:35 Fabian Groffen
2020-11-04  0:44 Sam James
2020-05-04 17:36 Thomas Deutschmann
2018-01-11 22:29 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616474934.cb22b63cf5a019853d31802d5cc5408ac3aa5185.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox